# Class ECSSystem

系统组合器，用于将多个相同功能模块的系统逻辑上放在一起，系统也可以嵌套系统

#### Hierarchy

- ECSSystem

- Defined in assets/libs/ecs/ECSSystem.ts:204

#####
Index

### Constructors

constructor

### Properties

_comblockSystems

### Accessors

comblockSystems

### Methods

add

## Constructors

### constructor

- new ECSSystem(): ECSSystem

- #### Returns ECSSystem

## Properties

### `Private` _comblockSystems

_comblockSystems: ECSComblockSystem < ECSEntity >[] = []

- Defined in assets/libs/ecs/ECSSystem.ts:205

## Accessors

### comblockSystems

- get comblockSystems(): ECSComblockSystem < ECSEntity >[]

- #### Returns ECSComblockSystem < ECSEntity >[]

  - Defined in assets/libs/ecs/ECSSystem.ts:206

## Methods

### add

- add(system: ECSSystem | ECSComblockSystem < ECSEntity >): ECSSystem

- #### Parameters

  - ##### system: ECSSystem | ECSComblockSystem < ECSEntity >

  #### Returns ECSSystem

  - Defined in assets/libs/ecs/ECSSystem.ts:210

Generated using TypeDoc